Wallets, tokens & networks

Update Network

Full-replacement edit of a custom org network; seeded default networks accept name and logo only.

POSThttps://api.toku.com/stablecoin-payroll/update-network

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-network' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "networkLogoURI": "string",
  "meshConnectNetworkID": "string",
  "evmChainID": 0,
  "multiSendCallOnlyAddress": "string",
  "safeSingletonAddress": "string",
  "safeFactoryAddress": "string",
  "safeAppBaseUrl": "string",
  "safeTxServiceUrl": "string",
  "rpcUrl": "string",
  "blockExplorerBaseUrl": "string",
  "eipsName": "string",
  "aleoTransferVisibility": "PUBLIC"
}'
200 response
{
  "network": {
    "networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "icon": "string",
    "tokenType": "ERC20",
    "isNetworkEnabled": true,
    "chainType": "EVM",
    "meshConnectNetworkID": "string",
    "evmChainID": 0,
    "multiSendCallOnlyAddress": "string",
    "safeSingletonAddress": "string",
    "safeFactoryAddress": "string",
    "safeAppBaseUrl": "string",
    "safeTxServiceUrl": "string",
    "blockExplorerBaseUrl": "string",
    "eipsName": "string",
    "aleoTransferVisibility": "PUBLIC",
    "defaultNetworkSlugUrl": "string",
    "catalogChainID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "rpcUrlConfigured": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

networkIDstring<uuid>required
namestringrequired

Allowed: at least 1 characters

networkLogoURIstring
meshConnectNetworkIDstring
evmChainIDinteger

Allowed: at least 1

multiSendCallOnlyAddressstring
safeSingletonAddressstring
safeFactoryAddressstring
safeAppBaseUrlstring<uri>

NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it

safeTxServiceUrlstring<uri>

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it

rpcUrlstring | null<uri>

NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it

blockExplorerBaseUrlstring<uri>

NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it

eipsNamestring
aleoTransferVisibilitystring

Available options: PUBLIC, PUBLIC_TO_PRIVATE, PRIVATE

Response

200Successful response
networkobjectrequired
Show child attributes
networkIDstring<uuid>required
orgIDstring<uuid>required
namestringrequired
iconstring | nullrequired
tokenTypestringrequired

Available options: ERC20, NATIVE

isNetworkEnabledboolean | nullrequired
chainTypestring | nullrequired

Available options: EVM, SOLANA, XRPL, BITCOIN, COSMOS_SDK, FILECOIN, PROVENANCE, ALEO, FOGO, FIAT, NEAR, POLKADOT, STACKS, SUI, null

meshConnectNetworkIDstring | nullrequired
evmChainIDinteger | nullrequired
multiSendCallOnlyAddressstring | nullrequired
safeSingletonAddressstring | nullrequired
safeFactoryAddressstring | nullrequired
safeAppBaseUrlstring | nullrequired
safeTxServiceUrlstring | null
blockExplorerBaseUrlstring | nullrequired
eipsNamestring | nullrequired
aleoTransferVisibilitystring | nullrequired

Available options: PUBLIC, PUBLIC_TO_PRIVATE, PRIVATE, null

defaultNetworkSlugUrlstring | nullrequired
catalogChainIDstring | null<uuid>required
rpcUrlConfiguredbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits